#include "..\MaterialDefine.def"

[Technique]
{
;  Detail        = DETAIL_HIGH

  [Pass]
  {
    [Layer]
    {
      TextureSource     = TEXT_DIFFUSE
      TexCoordIndex     = 0

      ColorArg1 = TA_TEXTURE  ;diffuse textura
      ColorArg2 = TA_TFACTOR
      ColorOp   = TOP_MODULATE

      AlphaArg1 = TA_TEXTURE
      AlphaArg2 = TA_TFACTOR
      AlphaOp   = TOP_MODULATE

      TextureAddressU = TADDRESS_WRAP
      TextureAddressV = TADDRESS_WRAP
      Filter = TF_LINEAR_MIP_POINT
    }
    [Layer]
    {
      TextureSource     = TEXT_REFLECTION
      TexCoordIndex     = TSS_TCI_CAMERASPACEREFLECTIONVECTOR;NORMAL
      TextureTransformFlags = TTFF_COUNT2
      TextureTransformMode = TTM_SPHERICALENVMAP

      ColorArg1 = TA_CURRENT
      ColorArg2 = TA_TEXTURE ;RefMap
      ColorOp   = TOP_MODULATEALPHA_ADDCOLOR

      AlphaOp   = TOP_DISABLE

      TextureAddressU = TADDRESS_WRAP
      TextureAddressV = TADDRESS_WRAP
      Filter = TF_LINEAR_MIP_POINT
    }

    FillMode    = FILL_SOLID
    Cull        = CULL_CW
    DitherEnable        = TRUE
    SpecularEnable      = FALSE

    LightingEnable      = TRUE
    NormalizeNormals    = TRUE
    LocalViewer         = FALSE

    AlphaTestEnable     = FALSE

    AlphaBlendEnable    = FALSE

    ZWriteEnable        = TRUE
    ZFunc               = CMP_LESS

    TextureFactor	= 255, 255, 255, 255

    DiffuseMaterialSource	= MCS_MATERIAL
    SpecularMaterialSource	= MCS_MATERIAL
    AmbientMaterialSource	= MCS_MATERIAL
    EmissiveMaterialSource	= MCS_MATERIAL
  }
}
